Package org.stianloader.picoresolve.internal.meta

# Class LastUpdatedFile

java.lang.Object
org.stianloader.picoresolve.internal.meta.LastUpdatedFile

public class LastUpdatedFile extends Object
The *.lastUpdated file are files generated by the maven resolver to describe when a file was fetched from the remote repository the last time.

## Constructor Summary

Constructors
Constructor
Description
`LastUpdatedFile()`

## Method Summary

Modifier and Type
Method
Description
`Long`
`getLastFetchTime(String repoURL)`
`boolean`
`hasErrored(String repoURL)`
`static LastUpdatedFile`
`tryParse(@NotNull Path src)`
`LastUpdatedFile`
`updateEntryErrored(String repo, String error, long updateTime)`
`LastUpdatedFile`
`updateEntrySuccess(String repo, long updateTime)`
`void`
`write(@NotNull Path out)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LastUpdatedFile

public LastUpdatedFile()

## Method Details

### updateEntryErrored

public LastUpdatedFile updateEntryErrored(String repo, String error, long updateTime)

### updateEntrySuccess

public LastUpdatedFile updateEntrySuccess(String repo, long updateTime)

### hasErrored

public boolean hasErrored(String repoURL)

### getLastFetchTime

public Long getLastFetchTime(String repoURL)

### tryParse

public static LastUpdatedFile tryParse(@NotNull @NotNull Path src)

### write

public void write(@NotNull @NotNull Path out)